[1/1] packagegroup-core-qt4e: make phonon-gstreamer plugin optional

Submitted by Paul Eggleton on May 22, 2015, 8:37 a.m. | Patch ID: 94073

Details

Message ID d4033cadab577972275ffc75c3351242eee90ced.1432283684.git.paul.eggleton@linux.intel.com
State New
Headers show

Commit Message

Paul Eggleton May 22, 2015, 8:37 a.m.
Having disabled phonon by default in Qt4 we need to ensure this
packagegroup is still buildable when it's not available.

Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
---
 meta/recipes-qt/packagegroups/packagegroup-core-qt4e.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/meta/recipes-qt/packagegroups/packagegroup-core-qt4e.bb b/meta/recipes-qt/packagegroups/packagegroup-core-qt4e.bb
index d4f0fd1..eb5fa1f 100644
--- a/meta/recipes-qt/packagegroups/packagegroup-core-qt4e.bb
+++ b/meta/recipes-qt/packagegroups/packagegroup-core-qt4e.bb
@@ -36,7 +36,6 @@  RDEPENDS_${PN} = " \
 	qt4-embedded-plugin-imageformat-svg \
 	qt4-embedded-plugin-imageformat-tiff \
 	qt4-embedded-plugin-mousedriver-tslib \
-	qt4-embedded-plugin-phonon-backend-gstreamer \
 	qt4-embedded-plugin-script-dbus \
 	qt4-embedded-plugin-sqldriver-sqlite \
 	${TOUCH} \
@@ -48,5 +47,6 @@  RDEPENDS_${PN} = " \
 
 RRECOMMENDS_${PN} = " \
 	libqt-embeddedxmlpatterns4 \
+	qt4-embedded-plugin-phonon-backend-gstreamer \
 "